package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.PacsNameNeedlessItem;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "无需重复开单项")
public class NeedlessOrder extends BaseNode  {

	@Relationship(type = "辅助检查名称无需重复开单项", direction = Relationship.INCOMING)
	private Set<PacsNameNeedlessItem> pacsNameNeedlessItems = new HashSet<>();
}