package com.diagbot.entity.relationship;

import com.diagbot.entity.node.NeedlessOrder;
import com.diagbot.entity.node.PacsSubName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

@Getter
@Setter
@RelationshipEntity(type = "辅助检查子项目名称无需重复开单项")
public class PacsNameSubNeedlessItem extends BaseRelation {
    @StartNode
    private PacsSubName pacsName;

    @EndNode
    private NeedlessOrder needlessOrder;
}